
#include "stdafx.h"

#include <stdint.h>

#include <iostream>
#include <fstream>
#include <iomanip>

#define _USE_MATH_DEFINES
#include <math.h>

#ifdef SOURCE_GEN
#include "../test/PLs.h"
#define SAMPLE_RATE SAMPLE_RATE_S
#else
#include <PL.h>
#endif
// .........................................................
#define NOISE		0
#define SCALE_ADC	3200 / 2 //of 4096 for ADC12
// .........................................................
void Generate( double freq, uint16_t nsize, int32_t* testData, bool print= false )
{
	double step= freq * 2.0 * M_PI / SAMPLE_RATE;
	std::ofstream* file= NULL;
	
	/* Generate the test data */
	srand( (size_t)time( NULL ) );
	for( size_t index = 0; index < nsize; index++ )
	{
			testData[index] = (int32_t)( ( SCALE_ADC - NOISE ) * sin( step * index ) + SCALE_ADC + ( NOISE ? rand( ) % NOISE : 0 ) );
	}
}

