
struct SourcePL
{
	double freq;
	char* id;
};

static SourcePL PLs[ ]=
{
	{ 67.0,	"XZ" },// or L1 	1 	Listed as 67.1 in some manuals and in some radios actually is 67.1 Hz.
	{ 69.3,	"WZ" },// 	  	Listed as 69.4 in some manuals and in some radios actually is 69.4 Hz.
	{ 71.9,	"XA" },// or L2 	2 	 
	{ 74.4,	"WA" },// 	3 	 
	{ 77.0,	"XB" },// or L3 	4 	 
	{ 79.7,	"WB" },// 	5 	 
	{ 82.5,	"YZ" },// or L4 	6 	 
	{ 85.4,	"YA" },// 	7 	 
	{ 88.5,	"YB" },// or L4A 	8 	 
	{ 91.5,	"ZZ" },// 	9 	 
	{ 94.8,	"ZA" },// or L5 	10 	Note that this tone is not present in some older radios.
	{ 97.4,	"ZB" },// 	  	Not listed in EIA/TIA standard RS-220
	{ 100.0,"1Z" },// 	11 	 
	{ 103.5,"1A" },// 	12 	 
	{ 107.2,"1B" },// 	13 	 
	{ 110.9,"2Z" },// 	14 	 
	{ 114.8,"2A" },// 	15 	 
	{ 118.8,"2B" },// 	16 	 
	{ 123.0,"3Z" },// 	17 	 
	{ 127.3,"3A" },// 	18 	 
	{ 131.8,"3B" },// 	19 	 
	{ 136.5,"4Z" },// 	20 	 
	{ 141.3,"4A" },// 	21 	 
	{ 146.2,"4B" },// 	22 	 
	{ 151.4,"5Z" },// 	23 	 
	{ 156.7,"5A" },// 	24 	 
	//159.8 	  	  	  	27 	  	27 	27 	  	27 	  	  	  	  	  	  	  	 
	{ 162.2,"5B" },// 	25 	 
	//165.5 	  	  	29 	  	  	29 	  	  	  	  	  	  	  	  	  	  	 
	{ 167.9,"6Z" },// 	26 	 
	//171.3 	  	  	  	  	  	31 	31 	  	  	  	  	  	  	  	  	  	 
	{ 173.8,"6A" },// 	27 	 
	//177.3 	  	  	  	  	  	33 	33 	  	  	  	  	  	  	  	  	  	 
	{ 179.9,"6B" },// 	28 	 
	//183.5 	  	  	  	32 	  	35 	35 	  	32 	  	  	  	  	  	  	  	 
	{ 186.2,"7Z" },// 	29 	 
	//189.9 	  	  	  	34 	  	37 	37 	  	34 	  	  	  	  	  	  	  	 
	{ 192.8,"7A" },// 	30 	 
	//196.6 	  	  	  	36 	  	39 	  	  	36 	  	  	  	  	  	  	  	 
	//199.5 	  	  	  	  	  	40 	  	  	37 	  	  	  	  	  	  	  	 
	{ 203.5,"M1" },// 	31 	 
	{ 206.5,"8Z" },// 	  	Use the tones above 203.5 Hz only if you are absolutely sure that all the user's radios have them. Many do not, or have different combinations of them.
	{ 210.7,"M2" },// 	32 	 
	{ 218.1,"M3" },// 	33 	 
	{ 225.7,"M4" },// 	34 	 
	{ 229.1,"9Z" },// 	  	 
	{ 233.6,"M5" },// 	35 	 
	{ 241.8,"M6" },// 	36 	 
	{ 250.3,"M7" },// 	37 	 
	{ 254.1,"0Z" },// 	  	The Motorola name for this tone is "zero-Z" due to the unfortunate truncation of "10Z" into a two digit field.

};

#define PLSS_SIZE ( sizeof( PLs ) / sizeof( SourcePL ) )

#define SAMPLE_RATE_S	1000
